
GDCFILES = $(GDMODULES:=.c)
GDOFILES = $(GDCFILES:.c=.obj)

all : accstat.exe
 continue


accstat.exe :  accstat.obj $(MODULES) $(GDLIB)($(GDMODULES)) accstat.h 
 link $(LFLAGS) accstat.obj, $(MODULES), $(GDLIB)/lib $(OPTFILE)

accstat.obj : accstat.c accstat.h
 $(CC) $(CFLAGS) accstat.c

modules.obj : modules.c accstat.h
 $(CC) $(CFLAGS) modules.c

config.obj : config.c accstat.h
 $(CC) $(CFLAGS) config.c

output.obj : output.c accstat.h
 $(CC) $(CFLAGS) output.c

graphics.obj : graphics.c accstat.h gd.h fonts.h
 $(CC) $(CFLAGS) graphics.c

strftime.obj : strftime.c
 $(CC) $(CFLAGS) strftime.c

gdfontt.obj : gdfontt.c fonts.h gd.h
 $(CC) $(CFLAGS) gdfontt.c

gdfonts.obj : gdfonts.c fonts.h gd.h
 $(CC) $(CFLAGS) gdfonts.c

gdfontmb.obj : gdfontmb.c fonts.h gd.h
 $(CC) $(CFLAGS) gdfontmb.c

gdfontl.obj : gdfontl.c fonts.h gd.h
 $(CC) $(CFLAGS) gdfontl.c

gdfontg.obj : gdfontg.c fonts.h gd.h
 $(CC) $(CFLAGS) gdfontg.c

gd.obj : gd.c gd.h
 $(CC) $(CFLAGS) gd.c

$(GDLIB) : $(GDOFILES)

